For the complete documentation index, see llms.txt. This page is also available as Markdown.

Affiliates

Get Affiliate

get
Path parameters
AffiliateCodestringRequired

Unique code which represents an affiliate

Header parameters
Acceptstring · enumRequiredDefault: application/jsonExample: application/jsonPossible values:
X-Avangate-AuthenticationstringRequired

Authentication header

Example: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Responses
200

Get affiliate

application/json
get/affiliates/{AffiliateCode}
GET /rest/6.0/affiliates/{AffiliateCode} HTTP/1.1
Host: api.2checkout.com
Accept: application/json
X-Avangate-Authentication: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
200

Get affiliate

{
  "Affiliate": {
    "AffiliateCode": "3501E8CADA",
    "Status": "Active",
    "Affiliate Name": "Softy Bofty",
    "Website": "https://softy.fake",
    "CommissionList": {
      "Object": {
        "ListName": "CommissionList1",
        "CommissionRate": "25%"
      }
    },
    "RequestDate": "2018-10-05",
    "Categories": [
      [
        "PC security",
        "Mobile security"
      ]
    ],
    "TCStatus": "Accepted",
    "AffiliateContact": {
      "Object": {
        "FirstName": "John",
        "LastName": "Doe",
        "Phone": "40723483987",
        "Email": "dynamicproduct@products.com",
        "Country": "Spain"
      }
    }
  }
}

Search Affiliates

get
Query parameters
AffiliateCodestringOptional

Affiliate's code

Example: FD86FD98
NamestringOptional

Affiliate's name

Example: Softy Company
StatusstringOptional

Affiliate's status

Example: Active
RequestDateStartstringOptional

Affiliate Request date start

Example: 2018-01-01
RequestDateEndstringOptional

Affiliate Request date end

Example: 2018-09-01
CountrystringOptional

Affiliate's country

Example: ["US","UK","DK"]
TargetCountrystringOptional

Countries where affiliates sell into

Example: ["BG","RO","GR"]
CommissionListstringOptional

Affiliate commission list

Example: ["Default","CommissionList1"]
TypestringOptional

Affiliate type

Example: ["Email marketing"]
PagenumberOptional

Page number

Example: 3
LimitnumberOptional

Number of results on a page

Example: 25
Header parameters
X-Avangate-AuthenticationstringRequired

Authentication header

Example: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Acceptstring · enumRequiredDefault: application/jsonExample: application/jsonPossible values:
Responses
200

Get affiliates

application/json
get/affiliates
GET /rest/6.0/affiliates HTTP/1.1
Host: api.2checkout.com
X-Avangate-Authentication: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Accept: application/json
{
  "Affiliates": {
    "0": {
      "AffiliateCode": "3501E8CADA",
      "Status": "Active",
      "Affiliate Name": "Softy Bofty",
      "Website": "https://softy.fake",
      "CommissionList": {
        "Object": {
          "ListName": "CommissionList1",
          "CommissionRate": "25%"
        }
      },
      "RequestDate": "2018-10-05",
      "Categories": [
        [
          "PC security",
          "Mobile security"
        ]
      ],
      "TCStatus": "Accepted",
      "AffiliateContact": {
        "Object": {
          "FirstName": "John",
          "LastName": "Doe",
          "Phone": "40723483987",
          "Email": "dynamicproduct@products.com",
          "Country": "Spain"
        }
      }
    },
    "1": {
      "AffiliateCode": "3501E8CADA",
      "Status": "Active",
      "Affiliate Name": "Softy Bofty",
      "Website": "https://softy.fake",
      "CommissionList": {
        "Object": {
          "ListName": "CommissionList1",
          "CommissionRate": "25%"
        }
      },
      "RequestDate": "2018-10-05",
      "Categories": [
        [
          "PC security",
          "Mobile security"
        ]
      ],
      "TCStatus": "Accepted",
      "AffiliateContact": {
        "Object": {
          "FirstName": "John",
          "LastName": "Doe",
          "Phone": "40723483987",
          "Email": "dynamicproduct@products.com",
          "Country": "Spain"
        }
      }
    }
  },
  "Pagination": {
    "Page": 1,
    "Limit": 10,
    "Count": 12
  }
}

Last updated

Was this helpful?